Subject: [ipwave] [IPWAVE] IPWAVE Problem Statement Document

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Tue, 12 Mar 2019 18:16:57 +0900

Hi IPWAVE WG,
I send you the revised version -08 of
draft-ietf-ipwave-vehicular-networking.
I attach the pdf and text files.

Because I needed more time to revise this document with Charlie and Sri,
I could not submit it by the submission cut-off time.

I will submit this document on March 24, 2019.
Before that, you can review my revision.

In the meanwhile, I will polish it up. :-)

I sincerely thank Charlie and Sri for their intensive and helpful comments.

Thanks and see you in Prague soon.

Best Regards,
Paul
-- 
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked], [email-masked]
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
<http://cpslab.skku.edu/people-jaehoon-jeong.php>

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Tue, 12 Mar 2019 18:40:20 +0900

Hi all,
There is a wrong sentence in my previous email.

OLD: Because I needed more time to revise this document with Charlie and
Sri,
I could not submit it by the submission cut-off time.

NEW: Because I needed more time to revise this document with the COMMENTS
of Charlie and Sri,
I could not submit it by the submission cut-off time.

Charlie and Sri,
I will address your comments about the contents shaping of the PS document
before March 24.

Thanks.

Best Regards,
Paul

---

From: Tae Oh <[email-masked]>
Date: Sat, 16 Mar 2019 14:32:04 -0400

Hello Paul,

Thanks for the document.  I have two major comments and have included text
for the document.  However, feel free change and omit my comments.

On page 17 section 4.2.3 Security section, you have included sybil attack.
That's great but I thought we should include other know attacks such as
DoS, node impersonation, application, non-safety application
and timing attacks.   Here is the text.

"Also, there are other attacks such as Denial of Service attack, node
impersonation attack, application attack, non-safety application attack,
and timing attack must be considered and addressed."

I am not sure whether we need to explain each attack but thought it's good
to include those security attacks.

On page  21,  6 Security Consideration.

Here is a consideration for additional text.  For considering security,  we
need to address confidentiality, integrity, availability and privacy.

" For the security requirements for VANET, confidentiality, integrity,
availability, and privacy must be considered.   The confidentiality refers
to providing secure communication between the original node and the
destination node.  No other nodes can decipher the message.    Integrity
means that a message cannot be altered by anyone and is incorruptible.  The
message is delivered to the destination node without any modification
during the transit.   Availability refers to a network is available to
operate even attacked by an attacker.    Lastly,  privacy is very important
for users and the communication between the original and destination nodes
cannot be eavesdrop by any other nodes. "

Feel free to modify or ignore my comments.

Thanks,

Tae (Tom) Oh

On Tue, Mar 12, 2019 at 5:41 AM Mr. Jaehoon Paul Jeong <
[email-masked]> wrote:

> Hi all,
> There is a wrong sentence in my previous email..
>
>> Email: [email-masked] <[email-masked]>,
>> [email-masked]
> _______________________________________________
> its mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/its
>

---

From: Rex Buddenberg <[email-masked]>
Date: Sat, 16 Mar 2019 13:53:29 -0700

Tae,

You've quoted the security section of the textbook almost correctly.
But ....

First.  Are we concerned about the integrity of the channel or the
integrity of the data?  
    Secondly (this is where the textbook is wrong), integrity is not
enough, it's only one component.  You really need end-to-end
authenticity which is a superset of integrity.  

You have a channel that is supposed to be used by 1,000,000,001
automobiles on the road.  Securing the _channel_ is a very big job and
probably impracticable ... if theoretically possible.  I'd judge any
layer 2 or layer 3 attempts at integrity guaranteeing as doomed.  On
the other hand, layer 6 solutions -- authenticity of the data -- are
possible.  It's also, IMHO, what we need.  
     If you follow thus far, 1) layer 6 security solutions are outside
scope and 2) IEEE 1609 has, in its data treatment, embraced solutions
that provide authenticity for the data.  

b

On Sat, 2019-03-16 at 14:32 -0400, Tae Oh wrote:
> Hello Paul,  
> 
> Thanks for the document.  I have two major comments and have included
> text for the document.  However, feel free change and omit my
> comments. 
> 
> On page 17 section 4.2.3 Security section, you have included
> sybil attack.  That's great but I thought we should include other
> know attacks such as DoS, node impersonation, application, non-
> safety application 
> impersonation attack, application attack, non-safety application
> attack, and timing attack must be considered and addressed."
> 
> I am not sure whether we need to explain each attack but thought it's
> good to include those security attacks. 
> 
> Here is a consideration for additional text.  For considering
> security,  we need to address confidentiality, integrity,
> availability and privacy.  
> 
> " For the security requirements for VANET, confidentiality,
> integrity, availability, and privacy must be considered.   The
> confidentiality refers to providing secure communication between the
> original node and the destination node.  No other nodes can decipher
> the message.    Integrity means that a message cannot be altered by
> anyone and is incorruptible.  The message is delivered to the
> destination node without any modification during the transit. 
>  Availability refers to a network is available to operate even
> attacked by an attacker.    Lastly,  privacy is very important for
> users and the communication between the original and destination
> nodes cannot be eavesdrop by any other nodes. "
> 
> On Tue, Mar 12, 2019 at 5:41 AM Mr. Jaehoon Paul Jeong <jaehoon.paul@
> gmail.com> wrote:
> > Hi all,
> > OLD: Because I needed more time to revise this document with
> > Charlie and Sri,
> > NEW: Because I needed more time to revise this document with the
> > COMMENTS of Charlie and Sri,
> > I will address your comments about the contents shaping of the PS
> > document before March 24.
> > 
> > Thanks.
> > 
> > Best Regards,
> > Paul
> > 
> > 
> > On Tue, Mar 12, 2019 at 6:16 PM Mr. Jaehoon Paul Jeong <jaehoon.pau
> > [email-masked]> wrote:
> > > Hi IPWAVE WG,
> > > I send you the revised version -08 of draft-ietf-ipwave-
> > > vehicular-networking.
> > > Email: [email-masked], [email-masked]
> > Mr.. Jaehoon (Paul) Jeong, Ph.D.
> > Associate Professor
> > Department of Software
> > Sungkyunkwan University
> > Office: +82-31-299-4957